Subject: [sup-talk] sup-tweak-labels broken, and more

From: Philipp <[email-masked]>
Date: Tue, 15 Feb 2011 13:00:10 +0100

Hi there.
I ran "sup-tweak-labels -r <label> --all-sources" to get rid of the
inbox labels and others. I had to run it multiple times until all
messages were processed. In my case it was three times for inbox and
around ten times for unread. I would have expected it to work on all
messages when run once.

A different, small error:
$ sup-dump --help
Dumps all message state from the sup index to standard out. You can
later use sup-sync --restored --restore <filename> to recover the index.

The --restored is superfluous and wrong.

And another one, not sure where this comes from:
$ sup-import-dump --help
Error: version mismatch!
The sup executable is at version "git".
The sup libraries are at version "0.12.1".

Your development environment may be picking up code from a
rubygems installation of sup.

If you're running from git with a commandline like

  ruby -Ilib /usr/bin/sup-import-dump

try this instead:

  RUBY_INVOCATION="ruby -Ilib" ruby -Ilib /usr/bin/sup-import-dump

  You can also try `gem uninstall sup` and removing all Sup rubygems.

$ sup-cmd --help
<internal:lib/rubygems/custom_require>:29:in `require': no such file to load -- eventmachine (LoadError)
        from <internal:lib/rubygems/custom_require>:29:in `require'
        from /usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/protocol.rb:1:in `<top (required)>'
        from <internal:lib/rubygems/custom_require>:29:in `require'
        from <internal:lib/rubygems/custom_require>:29:in `require'
        from /usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/client.rb:1:in `<top (required)>'
        from <internal:lib/rubygems/custom_require>:29:in `require'
        from <internal:lib/rubygems/custom_require>:29:in `require'
        from /usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/bin/sup-cmd:5:in `<top (required)>'
        from /usr/bin/sup-cmd:19:in `load'
        from /usr/bin/sup-cmd:19:in `<main>'

$ sup-server --help
<internal:lib/rubygems/custom_require>:29:in `require': no such file to load -- eventmachine (LoadError)
        from <internal:lib/rubygems/custom_require>:29:in `require'
        from /usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/protocol.rb:1:in `<top (required)>'
        from <internal:lib/rubygems/custom_require>:29:in `require'
        from <internal:lib/rubygems/custom_require>:29:in `require'
        from /usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/server.rb:1:in `<top (required)>'
        from <internal:lib/rubygems/custom_require>:29:in `require'
        from <internal:lib/rubygems/custom_require>:29:in `require'
        from /usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/bin/sup-server:5:in `<top (required)>'
        from /usr/bin/sup-server:19:in `load'
        from /usr/bin/sup-server:19:in `<main>'

$ sup-sync-back --help
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/bin/sup-sync-back:9:in `<top (required)>': not working yet (RuntimeError)
        from /usr/bin/sup-sync-back:19:in `load'
        from /usr/bin/sup-sync-back:19:in `<main>

Seems like something went wrong in the update process, I don't quite know what.
Normal operation seems to work as expected, but all those errors worry me.

_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk